"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    getRegex: ()=>getRegex,
    checkRegex: ()=>checkRegex,
    regexIntersection: ()=>regexIntersection
});
const _composeTs = require("../compose.js");
const _collapsibleSetTs = require("./collapsibleSet.js");
const regexCache = {};
const getRegex = (source)=>{
    if (!regexCache[source]) {
        regexCache[source] = new RegExp(source);
    }
    return regexCache[source];
};
const checkRegex = (data, source, state)=>{
    if (!getRegex(source).test(data)) {
        state.problems.add("regex", data, state.path.length === 0 && state.type.name !== "type" ? state.type.name : `/${source}/`);
    }
};
const regexIntersection = (0, _composeTs.composeIntersection)(_collapsibleSetTs.collapsibleListUnion);
