import { composeIntersection } from "../compose.js";
import { collapsibleListUnion } from "./collapsibleSet.js";
const regexCache = {};
export const getRegex = (source)=>{
    if (!regexCache[source]) {
        regexCache[source] = new RegExp(source);
    }
    return regexCache[source];
};
export const checkRegex = (data, source, state)=>{
    if (!getRegex(source).test(data)) {
        state.problems.add("regex", data, state.path.length === 0 && state.type.name !== "type" ? state.type.name : `/${source}/`);
    }
};
export const regexIntersection = composeIntersection(collapsibleListUnion);
